<?xml version="1.0" encoding="UTF-8"?>
<!-- rc9189bu2.xslt, 01-03-2021 -->
<xsl:stylesheet version="1.0"
 xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
 xmlns:vbt="http://ei.vektis.nl/vz/basis/v1_0" >


	<!-- retourcode 9189: Verzenddatum ligt buiten Kalenderhalfjaar van FinancieelJaar. -->
	<!-- controle: Verzenddatum ligt binnen Kalenderhalfjaar van FinancieelJaar. -->
	
	<xsl:template name="rc9189">
		
		<xsl:param name="FinancieelJaar"/>
		<xsl:param name="KalenderHalfJaar"/>
		<xsl:param name="Verzenddatum"/>
		
		<xsl:variable name="JaarVerzenddatum" select="substring($Verzenddatum,1,4)"/>
		<xsl:variable name="MaandJaarVerzenddatum" select="substring($Verzenddatum,5,2)"/>
		
		<xsl:if test="($FinancieelJaar != $JaarVerzenddatum)">
			<vbt:Retourcode>9189</vbt:Retourcode>
		</xsl:if>
			
		<xsl:if test="normalize-space($KalenderHalfJaar) = 01">
			<xsl:if test="normalize-space($MaandJaarVerzenddatum) = 07
						  or normalize-space($MaandJaarVerzenddatum) = 08
						  or normalize-space($MaandJaarVerzenddatum) = 09
						  or normalize-space($MaandJaarVerzenddatum) = 10 
						  or normalize-space($MaandJaarVerzenddatum) = 11
						  or normalize-space($MaandJaarVerzenddatum) = 12">
				<vbt:Retourcode>9189</vbt:Retourcode>
			</xsl:if>	
		</xsl:if>
			
		<xsl:if test="normalize-space($KalenderHalfJaar) = 02">
			<xsl:if test="normalize-space($MaandJaarVerzenddatum) = 01
						  or normalize-space($MaandJaarVerzenddatum) = 02
						  or normalize-space($MaandJaarVerzenddatum) = 03
						  or normalize-space($MaandJaarVerzenddatum) = 04 
						  or normalize-space($MaandJaarVerzenddatum) = 05
						  or normalize-space($MaandJaarVerzenddatum) = 06">
				<vbt:Retourcode>9189</vbt:Retourcode>
			</xsl:if>	
		</xsl:if>
		
	</xsl:template>

</xsl:stylesheet>
